* {
    margin: 0; 
    padding: 0; 
    box-sizing: border-box;
}

body {
    background-color: rgb(240, 240, 240);
}

header {
    text-align: center;
    height: 100px;
    margin-bottom: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.parteSuperior {
    display: flex;
    justify-content: space-around;
    width: 100%;
    height: 70%;
    background-color: #c4170c;
    border: 1px solid rgba(245, 15, 15, 0.416);
    
}

.menu {
    display: flex;
    flex: row;
    align-items: center;
    justify-content: center;
    width: 20%;
}

.menu img {
    width: 6%;
    height: 20%;
}

.menu h4 {
    margin-left: 3px;
    color: white;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 700;
    font-size: 16px;
}

#sobreposicao {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    z-index: 998; 
}

#menuLateral.ativo {
    left: 0;
}

#menuLateral {
    position: fixed;
    top: 0;
    left: -250px;
    width: 250px;
    height: 100%;
    background-color: rgb(255, 255, 255);
    z-index: 999;
    transition: all 0.3s ease;
    font-weight: 300;
    font-size: medium;
    text-align: start;
}

#menuLateral li {
    list-style: none;
    padding: 10px 20px;
    cursor: pointer;
    color: black;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 20px;
}
#menuLateral li:hover {
    background-color: #c4170c;
    color: white;
}

#menuLateral.ativo ~ #sobreposicao {
    display: block; 
}

.logo {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 60%;
}

.logo img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 10%;
    height: 39%;
}

.pesquisa {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-right: 0px;
    width: 20%;
}

.pesquisa input {
    padding: 8px;
    border: 0;
    border-radius: 4px;
    background-color: brown;
}

.pesquisa ::placeholder {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 650;
    color: white;
    font-size: 14px;
}

.parteInferior {
    display: flex;
    flex-direction: row;
    background-color: #b0150b;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 30%;
}

.parteInferior p {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    color: white;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 700;
    font-size: 18px;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    min-height: 100vh;
    align-items: center;
    color: black;
}


h2 {
    font-size: 20px;
    margin: 2px 8px 4px 8px; 
    font-family: "Open Sans", sans-serif;
    text-align: justify;
}

h3 {
    font-size: 16px;
    margin: 2px 8px 4px 8px;
    font-family: "Open Sans", sans-serif;
    text-align: justify;
}

h2:hover, h3:hover {
    color: rgba(94, 0, 0, 0.848);}

p {
    font-size: 15px;
    margin: 0 8px 8px 8px;
    font-family: "Open Sans", sans-serif;
    text-align: justify;
}

a {
   color: rgba(227, 0, 0, 0.848);
   text-decoration: none 
}

.superior {
    display: flex;
    justify-content: space-evenly;
    width: 80vw;
    height: 550px;
}

.esquerdaSuperior {
    display: flex;
    align-self: center;
    width: 45%;
    height: 90%;
    flex-wrap: wrap;
    border-radius: 5px;
    border: 0.1px solid rgba(134, 134, 134, 0.201);
    background-color: rgb(238, 236, 236);
}

.imagemPrincipal {
    display: flex;
    align-items: center;
    overflow-y: hidden; 
    justify-content: center;
    width: 100%;
    height: 80%;
}

.imagemPrincipal img {
    width: 95%;
    height: 95%;
    border: 3px solid black;
    margin: 10px;
    border-radius: 5px;
}

.noticiaPrincipal {
    display: flex;
    width: 100%;
    height: 20%;
    flex-wrap: wrap;
    border-radius: 3px;
    border: 0.1px solid rgba(134, 134, 134, 0.201);
    background-color: rgb(238, 236, 236);
}

.direitaSuperior {
    display: flex;
    width: 45%;
    align-items: center;
    flex-direction: column;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.noticiaSecundaria {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    height: 25%;
    border: 0.1px solid rgba(134, 134, 134, 0.201);
    background-color: rgb(238, 236, 236);
    border-radius: 5px;
}


.imagemSecundaria {
    display: flex;
    flex-direction: column;
    margin: 10px 0 10px 10px;
    width: 35%;
    height: 85%;
}

.imagemSecundaria img {
    width: 100%;
    height: 100%;
    border-radius: 5px;
    border: 2px solid black;
}

.informacoes {
    width: 70%;
    display: flex;
    margin-left: 5px;
    flex-direction: column;
    flex-wrap: wrap;
}

.publicidade {
    margin-top: 10px;
    display: flex;
    width: 76%;
    height: 120px;
    justify-content: center;
    align-items: center;
    border: 0.1px solid rgba(134, 134, 134, 0.201);
    background-color: rgb(238, 236, 236);
    border-radius: 5px;
    overflow: hidden;
    position: relative;
}

.publicidade img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 1s ease-in-out;
    border: 0.1px solid rgba(134, 134, 134, 0.201);
    border-radius: 5px;
}

.baixo {
    display: flex;
    align-self: center;
    justify-content: space-between;
    align-items: center;
    height: 30%;
    flex-wrap: wrap;
    width: 76%;
    margin-top: 10px;
}

.noticiaTerciaria {
    display: flex;
    width: 48%;
    height: 160px; 
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
    border: 0.1px solid rgba(134, 134, 134, 0.201);
    background-color: rgb(238, 236, 236);
    border-radius: 5px;
    text-align: justify;
}

.imagensBaixo{
    background-color: bisque;
    height: 70%;
    margin: 10px;
    width: 30%;
}

.imagensBaixo img {
    display: flex;
    align-self: end;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    border: 3px solid black;
}

.dados {
    height: 100%;
    margin-left: 5px;
    flex-direction: column;
    flex-wrap: wrap;
    width: 70%;
}

footer {
    display: flex;
    width: 100%;
    height: 50px;
    margin-top: 50px;
    background-color:rgba(213, 0, 0, 0.935);
    align-items: center;
    justify-content: center;
}

footer h5 {
    font-family: "Open Sans", sans-serif;
    color: white;
}